require "runner/version"
module NPG
  class Project
     attr_accessor :path
     def initialize(path = nil)
        self.path = path
     end

     def path=(val)
        val = File.expand_path val
        if FileTest.directory?(val)
           self.path = val
        elsif FileTest.file?(val)
           self.path = File.dirname(val)
        else
           raise Error::ENOENT, val
        end
     end

     def executable
        File.join(self.path, "Game.exe")
     end

     def run
        system executable
     end  
  end

end
